> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar Split

> GET /v2/naas/split/{origin_e2e} — retorna o split master vinculado a um checkout específico.

## Parâmetros de caminho

| Parâmetro    | Descrição                          |
| ------------ | ---------------------------------- |
| `origin_e2e` | ID `end2end` do checkout de origem |

## Response `200 OK`

| Campo            | Tipo   | Descrição                                           |
| ---------------- | ------ | --------------------------------------------------- |
| `end2end`        | string | ID do processo de split                             |
| `origin_e2e`     | string | Checkout que originou este split                    |
| `component`      | string | Componente atual no fluxo do split                  |
| `state`          | string | Estado atual                                        |
| `split_amount`   | string | Valor transferido ao merchant master                |
| `currency`       | string | Código do ativo                                     |
| `correlation_id` | string | Correlation ID do relacionamento com o sub-merchant |
| `created_at`     | string | Timestamp ISO 8601 de criação                       |
| `updated_at`     | string | Timestamp ISO 8601 da última atualização            |

Consulte [Estados do Split](/pt/api-reference/naas/splits-list#estados-do-split) para todas as combinações de `component` / `state`.

**`404`** — split não encontrado ou não pertence a este correlation.

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://checkout.noxpay.io/v2/naas/split/{origin_e2e} \
    -H "api-key: <key>" \
    -H "X-Timestamp: 2026-05-27T14:30:00Z" \
    -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
    -H "X-Signature: <assinatura-dos-headers>"
  ```

  ```python Python theme={null}
  import requests

  # Headers assinados
  headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
  headers["api-key"] = "<key>"
  response = requests.get(
      "https://checkout.noxpay.io/v2/naas/split/NOXabc123",
      headers=headers,
  )
  print(response.json())
  ```

  ```javascript Node.js theme={null}
  // Headers assinados
  const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
  headers["api-key"] = "<key>";
  const response = await fetch("https://checkout.noxpay.io/v2/naas/split/NOXabc123", {
    method: "GET",
    headers,
  });
  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "end2end":        "split-xyz789",
    "origin_e2e":     "NOXabc123",
    "component":      "component.success",
    "state":          "DONE",
    "split_amount":   "12.50",
    "currency":       "USDT_ETH",
    "correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
    "created_at":     "2026-05-19T14:00:00Z",
    "updated_at":     "2026-05-19T14:01:12Z"
  }
  ```

  ```json 404 theme={null}
  { "error": "Not Found" }
  ```
</ResponseExample>
